extends Node2D


@export var health: int = 5
@export var speed: float = 1.0


func save_data() -> Dictionary:
	return {
		"player.health": health,
		"player.speed": speed
	}


func load_data(data: Dictionary):
	if data.has("player.health"):
		health = data["player.health"]
	
	if data.has("player.speed"):
		speed = data["player.speed"]
